package com.ximai.mes.report.mapper;

import com.ximai.mes.report.request.MonthlyProductionReportRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;
@Mapper
public interface MonthlyProductionReportMapper {
    List<Map> getListByProcess(MonthlyProductionReportRequest dailyProductionReportRequest);

    List<Map> getListByWorkshop(MonthlyProductionReportRequest dailyProductionReportRequest);

    List<Map> getListByWorkstation(MonthlyProductionReportRequest dailyProductionReportRequest);

    List<Map> getListByWorkunit(MonthlyProductionReportRequest dailyProductionReportRequest);

    List<Map> getListByUser(MonthlyProductionReportRequest dailyProductionReportRequest);
}
